image: maven:3.6.3-jdk-8

variables:
    MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"
cache:
    paths:
        - .m2/repository/

stages:
    - verify
    - build
    - package
job_verify:
    stage: verify
    script:
        - echo "job verify"
        - mvn -v
job_compile:
    stage: build
    script:
        - echo "job compile"
        - mvn compile
job_test:
    stage: build
    script:
        - echo "job test"
        - mvn test
job_package:
    stage: package
    script:
        - echo "job package"
        - mvn package -Dmaven.test.skip
    artifacts:
        paths:
            - target/spring-petclinic-*.jar